/***************************************************************************
                          statusbar.cpp  -  description
                             -------------------
    begin                : Sat Jan 8 2000
    copyright            : (C) 2000 by Joris Struyve
    email                : j.struyve@village.uunet.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* CVS information :
 *
 * $Id$
 *
 */

#include "qtabman.h"

StatusBar::StatusBar( QWidget *parent,char *name )
        : QStatusBar( parent, name)
{
	
	/* create empty labels */
	connectstring = new QLabel(QString("connect"),this);
	objectcount   = new QLabel(QString("count"),this);

	/* add the labels to the statusbar */
	this->addWidget(connectstring,0,FALSE);
	this->addWidget(objectcount  ,1,FALSE);	
	this->ShowObjectCount(0);
}

StatusBar::~StatusBar()
{}

void StatusBar::ShowConnectString(QString connectstring)
{
	this->connectstring->setText(connectstring);
}

void StatusBar::ShowObjectCount(int count)
{
	this->objectcount->setText(tr("%1").arg(count)+" Objects");
}