/***************************************************************************
                          windowcontrol.cpp  -  description
                             -------------------
    begin                : Sat May 20 2000
    copyright            : (C) 2000 by Joris Struyve
    email                : j.struyve@village.uunet.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* CVS information :
 *
 * $Id$
 *
 */

#include "qtabman.h"

/* functions that show the dialog and update the toolbar and menucheckboxes */
void ApplicationWindow::ShowDebugDialog()
{
	this->debugwindowstate = TRUE;
	this->debugdialog->show();
	this->menu->SetDebugWindowState(this->debugwindowstate);
}

void ApplicationWindow::ShowTabmanDialog()
{
	this->tabmanwindowstate = TRUE;
	this->tabmandialog->show();
	this->toolbar->SetTabmanButtonState(this->tabmanwindowstate);
	this->menu->SetTabmanWindowState(this->tabmanwindowstate);
}

void ApplicationWindow::ShowTableDialog()
{
	this->tablewindowstate = TRUE;
	this->tabledialog->show();
	this->menu->SetTableWindowState(this->tablewindowstate);
	this->toolbar->SetTableButtonState(this->tablewindowstate);
}

void ApplicationWindow::ShowIndexDialog()
{
	/* TODO */
}
void ApplicationWindow::ShowConstraintDialog()
{
	/* TODO */
}
void ApplicationWindow::ShowColumnDialog()
{
	/* TODO */
}

/* funtions that toggle the dialog visibility and update toolbar and menucheckboxes*/
void ApplicationWindow::ShowHideDebugDialog()
{
	this->debugwindowstate = !this->debugwindowstate;
	if(this->debugwindowstate)
		this->debugdialog->show();
	else
		this->debugdialog->hide();
	this->menu->SetDebugWindowState(this->debugwindowstate);
}

void ApplicationWindow::ShowHideTabmanDialog()
{
	this->tabmanwindowstate = !this->tabmanwindowstate;
	if(this->tabmanwindowstate)
		this->tabmandialog->show();
	else
		this->tabmandialog->hide();
	this->toolbar->SetTabmanButtonState(this->tabmanwindowstate);
	this->menu->SetTabmanWindowState(this->tabmanwindowstate);
}

void ApplicationWindow::ShowHideTableDialog()
{
	this->tablewindowstate = !this->tablewindowstate;
	if(this->tablewindowstate)
		this->tabledialog->show();
	else
		this->tabledialog->hide();
	this->toolbar->SetTableButtonState(this->tablewindowstate);
	this->menu->SetTableWindowState(this->tablewindowstate);	
}

void ApplicationWindow::ShowHideIndexDialog()
{
		/*TODO*/
}

void ApplicationWindow::ShowHideConstraintDialog()
{
		/*TODO*/
}

void ApplicationWindow::ShowHideColumnDialog()
{
		/*TODO*/
}


/* functions that hide the dialog and update the toolbar and menucheckboxes */
void ApplicationWindow::HideDebugDialog()
{
	this->debugwindowstate = FALSE;
	this->debugdialog->hide();
	this->menu->SetDebugWindowState(this->debugwindowstate);
}


void ApplicationWindow::HideTabmanDialog()
{
	this->tabmanwindowstate = FALSE;
	this->tabmandialog->hide();
	this->menu->SetTabmanWindowState(this->tabmanwindowstate);
	this->toolbar->SetTabmanButtonState(this->tabmanwindowstate);
}

void ApplicationWindow::HideTableDialog()
{
	this->tablewindowstate = FALSE;
	this->tabledialog->hide();
	this->menu->SetTableWindowState(this->tablewindowstate);
	this->toolbar->SetTableButtonState(this->tablewindowstate);
}

void ApplicationWindow::HideIndexDialog()
{
		/*TODO*/
}

void ApplicationWindow::HideConstraintDialog()
{
		/*TODO*/
}

void ApplicationWindow::HideColumnDialog()
{
		/*TODO*/
}
