/***************************************************************************
                          aboutdialog.cpp  -  description
                             -------------------
    begin                : Thu Jan 6 2000
    copyright            : (C) 2000 by Joris Struyve
    email                : j.struyve@village.uunet.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* CVS information :
 *
 * $Id$
 *
 */

#include "qtabman.h"
#include "qtabman.xpm"

AboutDialog::AboutDialog( QWidget *parent, const char *name )
        : QDialog( parent, name, TRUE, WStyle_StaysOnTop|WStyle_NoBorder)
{
	this->setCaption("About Qtabman");
	char version[4001];
	char *err;
	
	if(!GetVersion(version,&err))
	{
		strcpy(version,"Error extracting version from tabman package");
	}
	this->resize(460,290);
	this->setCaption("About Qtabman");
	QLabel *logo= new QLabel(this);
	QLabel *tabmanversion = new QLabel(QString(version),this);
	QLabel *qtabmanversion = new QLabel(QString(VERSION),this);
	QPixmap *icon = new QPixmap((const char **)qtabman_xpm);
	ok = new QPushButton( "Ok", this);
	logo->setPixmap(*icon);
	logo->setGeometry(5,5,460,180);
	qtabmanversion->setGeometry(10,200,450,25);
	tabmanversion->setGeometry(10,230,450,25);
	ok->setGeometry(180,260,100,25);
	connect( ok, SIGNAL(clicked()), SLOT(accept()) );
}
AboutDialog::~AboutDialog()
{}
