/***************************************************************************
                          scrolltext.cpp  -  description
                             -------------------
    begin                : Thu Jan 6 2000
    copyright            : (C) 2000 by Joris Struyve
    email                : j.struyve@village.uunet.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* CVS information :
 *
 * $Id$
 *
 */

#include "qtabman.h"

ScrollText::ScrollText(QWidget *parent,char *label)
		:QMultiLineEdit( parent, label)
{

	QColorGroup cg(this->colorGroup());
	this->setEnabled(FALSE);
	this->setPalette(QPalette(cg,cg,cg));
}

ScrollText::~ScrollText()
{}

void ScrollText::append(QString str)
{
	QMultiLineEdit::append(str);
	this->pageDown();
	this->cursorDown();
}